Debian Bug report logs - #565101
oolite: ftbfs with gcc-4.5

version graph

Package: oolite; Maintainer for oolite is Nicolas Boulenguez <nicolas@debian.org>; Source for oolite is src:oolite.

Reported by: Matthias Klose <doko@debian.org>

Date: Wed, 13 Jan 2010 01:46:26 UTC

Severity: important

Tags: sid, wheezy

Found in version oolite/1.65-6

Fixed in version oolite/1.75.1-20110315-1

Done: Nicolas Boulenguez <nicolas.boulenguez@free.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#565101; Package oolite. (Wed, 13 Jan 2010 01:46:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 13 Jan 2010 01:46:29 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: oolite: ftbfs with gcc-4.5
Date: Wed, 13 Jan 2010 01:05:25 +0000
Package: oolite
Version: 1.65-6
Severity: normal
Tags: sid
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.5

The package fails to build in a test rebuild on at least amd64 with
gcc-4.5/g++-4.5, but succeeds to build with gcc-4.4/g++-4.4.
For the compiler version used, see:
http://lists.debian.org/debian-devel/2010/01/msg00230.html

The full build log can be found at:
http://people.debian.org/~lucas/logs/2010/01/08b/oolite_1.65-6_lsid64b.buildlog
The last lines of the build log are cwat the end of this report.

The reason of the build failure is likely in the package (compiler or
linker message found in the build log), if this turns out as a gcc bug,
please reassign to the gcc-4.5 package. If the build ends with a
message "confused by earlier errors, bailing out", please
ignore it for now; these compiler errors are filed separately.


[...]
dh_testdir
touch configure-stamp
dh_testdir
gs_make
This is gnustep-make 2.2.0. Type 'make print-gnustep-make-help' for help.
make[1]: Entering directory `/build/user-oolite_1.65-6-amd64-HSrE6I/oolite-1.65'
Making all for objc_program oolite...
 Compiling file src/Core/vector.c ...
In file included from src/Core/vector.c:45:0:
src/Core/vector.h:43:2: warning: #import is a deprecated GCC extension
 Compiling file src/Core/legacy_random.c ...
 Compiling file src/BSDCompat/strlcpy.c ...
 Compiling file src/SDL/Comparison.m ...
 Compiling file src/Core/AI.m ...
 Compiling file src/Core/DustEntity.m ...
 Compiling file src/Core/Entity.m ...
src/Core/Entity.m: In function '-[Entity loadData:]':
src/Core/Entity.m:1672:7: warning: implicit declaration of function 'strlcpy'
 Compiling file src/Core/GameController.m ...
 Compiling file src/Core/GuiDisplayGen.m ...
 Compiling file src/Core/HeadUpDisplay.m ...
 Compiling file src/SDL/main.m ...
src/SDL/main.m:1:33: fatal error: AppKit/NSApplication.h: No such file or directory
compilation terminated.
make[3]: *** [obj/main.m.o] Error 1
make[2]: *** [internal-objc_program-all_] Error 2
make[1]: *** [oolite.all.objc-program.variables] Error 2
make[1]: Leaving directory `/build/user-oolite_1.65-6-amd64-HSrE6I/oolite-1.65'
make: *** [build-stamp] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2




Severity set to 'important' from 'normal' Request was from Konstantinos Margaritis <markos@genesi-usa.com> to control@bugs.debian.org. (Mon, 14 Feb 2011 15:21:05 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 28 Feb 2011 14:32:22 GMT) Full text and rfc822 format available.

Reply sent to Nicolas Boulenguez <nicolas.boulenguez@free.fr>:
You have taken responsibility. (Sun, 27 Mar 2011 22:33:06 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Sun, 27 Mar 2011 22:33:06 GMT) Full text and rfc822 format available.

Message #14 received at 565101-close@bugs.debian.org (full text, mbox):

From: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
To: 565101-close@bugs.debian.org
Subject: Bug#565101: fixed in oolite 1.75.1-20110315-1
Date: Sun, 27 Mar 2011 22:32:44 +0000
Source: oolite
Source-Version: 1.75.1-20110315-1

We believe that the bug you reported is fixed in the latest version of
oolite, which is due to be installed in the Debian FTP archive:

oolite-data-sounds_1.75.1-20110315-1_all.deb
  to main/o/oolite/oolite-data-sounds_1.75.1-20110315-1_all.deb
oolite-data_1.75.1-20110315-1_all.deb
  to main/o/oolite/oolite-data_1.75.1-20110315-1_all.deb
oolite-doc_1.75.1-20110315-1_all.deb
  to main/o/oolite/oolite-doc_1.75.1-20110315-1_all.deb
oolite_1.75.1-20110315-1.debian.tar.bz2
  to main/o/oolite/oolite_1.75.1-20110315-1.debian.tar.bz2
oolite_1.75.1-20110315-1.dsc
  to main/o/oolite/oolite_1.75.1-20110315-1.dsc
oolite_1.75.1-20110315-1_amd64.deb
  to main/o/oolite/oolite_1.75.1-20110315-1_amd64.deb
oolite_1.75.1-20110315.orig.tar.gz
  to main/o/oolite/oolite_1.75.1-20110315.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 565101@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nicolas Boulenguez <nicolas.boulenguez@free.fr> (supplier of updated oolite package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 25 Mar 2011 21:59:04 +0100
Source: oolite
Binary: oolite oolite-doc oolite-data oolite-data-sounds
Architecture: source amd64 all
Version: 1.75.1-20110315-1
Distribution: experimental
Urgency: low
Maintainer: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
Changed-By: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
Description: 
 oolite     - space sim game, inspired by Elite
 oolite-data - space sim game, inspired by Elite (data files)
 oolite-data-sounds - space sim game, inspired by Elite (sounds)
 oolite-doc - space sim game, inspired by Elite (documentation)
Closes: 565101 616001
Changes: 
 oolite (1.75.1-20110315-1) experimental; urgency=low
 .
   * New upstream release. Huge diff because of CRLF elimination.
   * Use system libmozjs-dev instead of embedded one which caused some FTBS.
     (control:Build-Depends, copyright, mozjs.LICENSE, mozjs.LEGAL, rules)
   * Break circular dependency between binary packages (Closes: #616001)
     (control:Depends, rules).
   * Now builds with gcc-4.5 (Closes: #565101).
   * Allowed date component in upstream version number (watch).
Checksums-Sha1: 
 04c064deb1ddbdca28147c7f56c9e0b9f49ca123 1400 oolite_1.75.1-20110315-1.dsc
 0c732cb8d67e4ff268a677479f567b63c00d4cd2 19627476 oolite_1.75.1-20110315.orig.tar.gz
 8bca460833db1ca4b4e521561145db6e140f1a84 11173 oolite_1.75.1-20110315-1.debian.tar.bz2
 511b1a7ad9153d215fefca2ae51cb9b26fb63a48 1196658 oolite_1.75.1-20110315-1_amd64.deb
 75bb6802a0adf4a9b8299dab26f7b4947d875256 1082866 oolite-doc_1.75.1-20110315-1_all.deb
 29465758017438fc5aa58a53e72bcb5214224683 9183940 oolite-data_1.75.1-20110315-1_all.deb
 7173504da7b4a2cc9df68910d9c468d5ece5948b 8430776 oolite-data-sounds_1.75.1-20110315-1_all.deb
Checksums-Sha256: 
 715aa1f76d827324536b116254ab707fe779f1ba6bea3727d9c3d67faaa45ba9 1400 oolite_1.75.1-20110315-1.dsc
 3075ce39942f90d6b9b16181993a60c49d1a310e7c2e85bb14b37f5004d6983b 19627476 oolite_1.75.1-20110315.orig.tar.gz
 4f93e19e33c6292608793cf2b07417cb56dcef73a71d254757078502f8ed1752 11173 oolite_1.75.1-20110315-1.debian.tar.bz2
 d408e25ed94ad3a559899ff2273b03bcb6ad17149ad63e1a0736c465d03facc5 1196658 oolite_1.75.1-20110315-1_amd64.deb
 4ff57d3c3dc5c373ee1ab23ff67b16abb00d54900f848acdfab1cec322c0ec60 1082866 oolite-doc_1.75.1-20110315-1_all.deb
 c3abd15d78a2c478a3791bef0829ecdd3016517b614fe8346410589836c9e4f9 9183940 oolite-data_1.75.1-20110315-1_all.deb
 9061de6cbc0ff1a6bb77974589575d54681bb7246bcb964bdaf0b467a39be49c 8430776 oolite-data-sounds_1.75.1-20110315-1_all.deb
Files: 
 efc33bdf5cee8b573244200855d253fb 1400 games optional oolite_1.75.1-20110315-1.dsc
 69efff265979aed3d394a379c30737ae 19627476 games optional oolite_1.75.1-20110315.orig.tar.gz
 f8b1665eeb3c46181501fbe62fe2c76b 11173 games optional oolite_1.75.1-20110315-1.debian.tar.bz2
 3208294bb1147847ffa507a295f2ea05 1196658 games optional oolite_1.75.1-20110315-1_amd64.deb
 e5861e337889521e7a6a0df0506dbae4 1082866 doc optional oolite-doc_1.75.1-20110315-1_all.deb
 58ab0280b9cfe0dfd1cba29abe8fd128 9183940 games optional oolite-data_1.75.1-20110315-1_all.deb
 0a6ca62e4abc5d89a8f26678aec5f540 8430776 games optional oolite-data-sounds_1.75.1-20110315-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFNj7cKx9kwJZ3/qtQRAodRAKCQgrl2FTR2FN6NOeuWcqbcwP3CkgCgoMm9
db40YGKmWXs8vWMQO5+Jq4k=
=L1bX
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 12 Sep 2011 07:33:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:35:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.